<template>
  <q-card flat bordered>
    <q-img
      :src="'http://146.83.95.14:8081/static/' + images + '.jpeg'"
      width="300px"
      style="border-radius: 20px;"
      class="q-mt-sm"
    />

    <q-card-section>
      <q-separator color="primary" size="2px"/>
      <q-list dense>
        <q-expansion-item
          group="somegroup"
          header-class="text-primary text-left text-h6"
          default-opened
        >
          <template v-slot:header>
            <q-item-section avatar>
              <q-icon name="description" color="primary" size="30px"/>
            </q-item-section>
            <q-item-section>
              Metadata
            </q-item-section>
          </template>
          <q-card>
            <q-card-section class="text-primary text-left text-subtitle2">
              <q-scroll-area :thumb-style="thumbStyle" style="height: 150px;">
                <q-list>
                  <q-item>
                    <q-item-section>
                      <q-item-label>Examen: </q-item-label>
                    </q-item-section>

                    <q-item-section side center>
                      <q-item-label class="text-primary text-right" caption>{{node.examen}}</q-item-label>
                    </q-item-section>
                  </q-item>
                  <q-item>
                    <q-item-section>
                      <q-item-label>Descripción: </q-item-label>
                    </q-item-section>

                    <q-item-section side center>
                      <q-item-label class="text-primary text-right" caption>{{node.descripcion}}</q-item-label>
                    </q-item-section>
                  </q-item>
                  <q-item>
                    <q-item-section>
                      <q-item-label>Género: </q-item-label>
                    </q-item-section>

                    <q-item-section side center>
                      <q-item-label class="text-primary text-right" caption>{{node.genero}}</q-item-label>
                    </q-item-section>
                  </q-item>
                  <q-item>
                    <q-item-section>
                      <q-item-label>Fecha de nacimiento: </q-item-label>
                    </q-item-section>

                    <q-item-section side center>
                      <q-item-label class="text-primary text-right" caption>{{node.nac_paciente}}</q-item-label>
                    </q-item-section>
                  </q-item>
                  <q-item >
                    <q-item-section>
                      <q-item-label>Diagnóstico: </q-item-label>
                    </q-item-section>

                    <q-item-section side center>
                      <q-item-label class="text-primary text-right" caption>{{node.diagnostico}}</q-item-label>
                    </q-item-section>
                  </q-item>
                  <q-item>
                    <q-item-section>
                      <q-item-label>Marca dispositivo: </q-item-label>
                    </q-item-section>

                    <q-item-section>
                      <q-item-label class="text-primary text-right" caption >{{node.marca_dispositivo}}</q-item-label>
                    </q-item-section>
                  </q-item>
                  <q-item>
                    <q-item-section>
                      <q-item-label>Parte del cuerpo: </q-item-label>
                    </q-item-section>

                    <q-item-section>
                      <q-item-label class="text-primary text-right" caption>{{node.parte_cuerpo}}</q-item-label>
                    </q-item-section>
                  </q-item>
                  <q-item>
                    <q-item-section>
                      <q-item-label>Organización: </q-item-label>
                    </q-item-section>

                    <q-item-section>
                      <q-item-label class="text-primary text-right" caption>{{node.organizacion}}</q-item-label>
                    </q-item-section>
                  </q-item>
                </q-list>
              </q-scroll-area>
            </q-card-section>
          </q-card>
        </q-expansion-item>
        <q-separator color="primary" size="2px"/>
        <q-expansion-item
          group="somegroup"
          header-class="text-primary text-left text-h6"
        >
          <template v-slot:header>
            <q-item-section avatar>
              <q-icon name="analytics" color="primary" size="30px"/>
            </q-item-section>
            <q-item-section>
              Analizar con
            </q-item-section>
            <q-item-section class="q-mr-xl">
              <q-img src="~src/assets/logo_medream.svg" contain width="100px"/>
            </q-item-section>
          </template>
          <q-card>
            <q-card-section class="text-grey">
              <a :href="'http://128.0.9.188/?study=' + node.study_id" type="a" target="_blank"> http://128.0.9.188/?study={{node.study_id}} </a>
            </q-card-section>
          </q-card>
        </q-expansion-item>
      </q-list>
    </q-card-section>
  </q-card>
</template>

<style lang="scss">
.q-card--bordered {
  border: 3px solid $primary
}
.q-card {
  border-radius: 0px
}
</style>

<script>
export default {
  name: 'Card',
  props: {
    images: {
      required: false,
      type: String
    },
    node: {
      required: false,
      type: Object
    }
  },
  data () {
    return {
      expanded: false,
      thumbStyle: {
        right: '2px',
        borderRadius: '5px',
        backgroundColor: '#134A79',
        width: '5px',
        opacity: 0.8
      }
    }
  }
}
</script>
